{# heredando header y footer #}
{% extends "./index.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionCliente/" method="post" enctype="multipart/form-data" id="frm_nuevo_clie">
        {% csrf_token %}
        <h6>Provincia:</h6>
        <select class="form-control" name="id_prov" id="id_prov" required>
            <option value="">--Seleccione la Provincia--</option>
            {% for provincia in provincias %}
              <option value="{{provincia.id_bf}}">{{provincia.nombre_bf}}</option>
            {% endfor %}
        </select>
        <br>
        <script type="text/javascript">
            document.getElementById("id_prov").value="{{cliente.provincia.id_bf}}"
        </script>
        <input type="hidden" name="id_bf" value="{{cliente.id_bf}}">
        <br>
        <input type="text" name="nombre_bf" id="nombre_bf" value="{{cliente.nombre_bf}}" class="form-control" required>
        <br>
        <textarea name="direccion_bf" id="direccion_bf" cols="3" class="form-control">{{cliente.direccion_bf}}</textarea>
        <br>
        <input type="number" name="telefono_bf" id="telefono_bf" value="{{cliente.telefono_bf}}" class="form-control" required>
        <br>
        <b>Correo</b>
        <input type="email" name="email_bf" id="email_bf" value="{{cliente.email_bf}}" class="form-control" required>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="{% url 'clientes' %}" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

</div>

<script type="text/javascript">
          $("#frm_nuevo_clie").validate({
            rules:{
              "id_prov":{
                required:true
              },
              "nombre_bf":{
                required:true,
                number:false
              },
              "direccion_bf":{
                required:true
              },
              "telefono":{
                required:true,
                number:true
              },
              "email":{
                required:true,
                correo:true
              }
            },
            messages:{
              "id_prov":{
                required:"Por favor seleccione una Provincia"
              },
              "nombre_bf":{
                required:"Por favor Ingrese un Nombre"
              },
              "direccion_bf":{
                required:"Debe ingresar una direccion valida"
              },
              "telefono_bf":{
                required:"Debe ingresar un telefono valido",
                number:"Debe ingresar solo numeros"

              },
              "email_bf":{
                required:"Debe ingresar un correo",
                email:"Debe ingresar un correo valido"
              }
            }
          });
        </script>

{% endblock %}
